/*************************************************************************
 *
 *		Colorbench.c
 *
 *		Double the number of colors available on the Workbench screen by
 *	adding another bitplane.
 *
 *************************************************************************/

#include <intuition/intuition.h>

struct Screen *Scr;
struct BitMap *bm;
struct IntuitionBase *IntuitionBase;
struct GfxBase *GfxBase;

#define	WIDTH		Scr->Width
#define	HEIGHT	Scr->Height
#define	DEPTH		bm->Depth

void main()
{
	if((IntuitionBase = (struct IntuitionBase *)OpenLibrary("intuition.library", 32)) == NULL)
		exit(100);

	if((GfxBase = (struct GfxBase *)OpenLibrary("graphics.library", 32)) == NULL)
      exit(200);

	Scr = (struct Screen *)OpenWorkBench();
   if(Scr == NULL)
   	exit(300);

	bm = Scr->RastPort.BitMap;

	if(DEPTH == 2)
	{
		bm->Planes[2] = (PLANEPTR)AllocRaster(WIDTH, HEIGHT);
		BltClear(bm->Planes[2], WIDTH / 8 * HEIGHT, 0);
		DEPTH = 3;
		RemakeDisplay();
	}

	CloseLibrary(GfxBase);
	CloseLibrary(IntuitionBase);
}

/*   end of Colorbench.c   */
